Subject: Re: mkpasswd -d error
From: "Keith Starsmeare" <[email-masked]>
To: "Corinna Vinschen" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 29 Nov 1999 09:45:13 -0000

I'm now using the 19991122 snapshot but even that mkpasswd gives me an
error:

  > mkpasswd -d $USERDOMAIN
  Cannot get DC, code = 1355

I've been able to figure out my passwd entry (by getting my SID out of the
registry) and so I'm now recognised correctly.

Thank you for your helpful advice.

Keith

----- Original Message -----
From: Corinna Vinschen <[email-masked]>
To: Keith Starsmeare <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, November 23, 1999 4:59 PM
Subject: Re: mkpasswd -d error

> Keith Starsmeare wrote:
> >
> > I've only recently become a domain user and it's giving me a few
problems.
> >
> > Firstly, I'm recognised only as Administrator - I have been added to the
> > local administrator group, I guess there's no way to get it to recognise
my
> > username? (My current hack, so that I can use rsh, has been to replace
> > Administrator with my username in /etc/passwd.)
>
> What you see is standard NT behaviour: If you are member of the
> admin group, the owner of any object that you create is the admin
> group.
>
> Since Cygwin 1.0 you can use the option CYGWIN=ntsec (besides others).
> It allows to have real uid/gid settings in the ntfs security settings.
> If you create a file, you are the owner regardless of your group
> memberships.
>
> In order to use `ntsec' you have to create well formed /etc/passwd
> and /etc/group files with mkpasswd and mkgroup.
>
> > Also, when I try "mkpasswd -d $USERDOMAIN" I get the error "Cannot get
PDC,
> > code = 2453". Yet "mkpasswd -d" gives some information, but it doesn't
> > include all the users in the domain.
>
> It's an error in mkpasswd. Try the Cygwin 1.0 version or newer
> snapshots.
>
> > If I take myself out of the Administrator group will I have a useful
UID?
>
> Yes, but `ntsec' will solve this problem, too.
>
> > Is it possible to set up cygwin to work recognise domain users as well
as it
> > recognised local users?
>
> That's ok so far as the login names of the local and the domain users
> differ each other. Otherwise you will run into problems.
>
> Corinna
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]